diff -ur fml-4.0-stable-20040215-dist/cf/config fml-4.0-stable-20040215/cf/config
--- fml-4.0-stable-20040215-dist/cf/config	2003-01-16 03:07:38.000000000 +0900
+++ fml-4.0-stable-20040215/cf/config	2016-04-03 19:45:08.575967000 +0900
@@ -17,8 +17,11 @@
 $ERROR_LOG = "etc/motd.error";
 unlink $ERROR_LOG if -f $ERROR_LOG;
 
-require 'getopts.pl';
-&Getopts("m:hdDr:csnfrFiI:v");
+## 2016/04/02 yamane  Ref: http://www.unknown24.net/bbrk/20141229/fml
+## require 'getopts.pl';
+## &Getopts("m:hdDr:csnfrFiI:v");
+use Getopt::Std;
+getopts('m:hdDr:csnfrFiI:v');
 
 $no_dns  = $opt_n;
 $debug   = $opt_d;
@@ -657,10 +660,13 @@
 	    if (defined $entry) {
 		print STDERR "GO \$\t$key\n";
 	    }
-	    elsif (defined @entry) {
+## 2016/04/02 yamane  Ref: http://www.unknown24.net/bbrk/20141229/fml
+##	    elsif (defined @entry) {
+	    elsif (@entry) {
 		print STDERR "GO \@\t$key\n";
 	    }
-	    elsif (defined %entry) {
+##	    elsif (defined %entry) {
+	    elsif (%entry) {
 		print STDERR "GO \%\t$key\n";
 	    }
 	    elsif (defined &entry) {
@@ -703,7 +709,9 @@
 	    next;
 	}
 
-	if (defined @entry) {
+## 2016/04/02 yamane  Ref: http://www.unknown24.net/bbrk/20141229/fml
+##	if (defined @entry) {
+	if (@entry) {
 	    undef $num;
 	    $OUT'LOCAL .=  "\@$key = (";
 	    foreach (@entry) {
@@ -718,7 +726,9 @@
 	# Is there an associative array that isn't the one
 	# we're currently iterating through?
 	
-	if ($key ne "_$package" && defined %entry) {
+## 2016/04/02 yamane  Ref: http://www.unknown24.net/bbrk/20141229/fml
+##	if ($key ne "_$package" && defined %entry) {
+	if ($key ne "_$package" && %entry) {
 	    $OUT'LOCAL .= "\%$key = (\n"; #';
 	    foreach $key (sort keys(%entry)) {
 		$OUT'LOCAL .= "'$key', '". $entry{$key} ."',\n";#';
@@ -791,10 +801,14 @@
 	if (defined $entry) {
 	    eval("$rv'\$$key = 1; undef $rv'\$$key");
 	}
-	elsif (defined @entry) {
+## 2016/04/02 yamane  Ref: http://www.unknown24.net/bbrk/20141229/fml
+##	elsif (defined @entry) {
+	elsif (@entry) {
 	    eval("$rv'\@$key = 1; undef $rv'\@$key");
 	}
-	elsif ($key ne "_$package" && $key ne "_DB" && defined %entry) {
+## 2016/04/02 yamane  Ref: http://www.unknown24.net/bbrk/20141229/fml
+##	elsif ($key ne "_$package" && $key ne "_DB" && defined %entry) {
+	elsif ($key ne "_$package" && $key ne "_DB" && %entry) {
 	    eval("$rv'\%$key = 1; undef $rv'\%$key");
 	}
 	else {
diff -ur fml-4.0-stable-20040215-dist/libexec/fml_local.pl fml-4.0-stable-20040215/libexec/fml_local.pl
--- fml-4.0-stable-20040215-dist/libexec/fml_local.pl	2004-02-15 21:39:06.000000000 +0900
+++ fml-4.0-stable-20040215/libexec/fml_local.pl	2016-04-03 19:45:08.579186000 +0900
@@ -430,7 +430,8 @@
     local(@pat) = split(/\n/, $s);
 
     # for multiple lines. the entry to match is within "one line"
-    $* = 0;
+# 2016/04/02 yamane deprecated
+#   $* = 0;
 
     # compare %Envelope patterns given by "rc" entry ($s)
     foreach $pat (@pat) {
@@ -3216,7 +3217,8 @@
 
     ### Header Fields Extraction
     $s = $Envelope{'Header'}."\n";
-    $* = 0;			# match one line
+# 2016/04/02 yamane deprecated
+#   $* = 0;			# match one line
     if ($s =~ /^From\s+(\S+)/i) {
 	# XXX NO REACH HERE (1999/10/27 by fukachan)
 	# $Envelope{'UnixFrom'} = $UnixFrom = $1;
diff -ur fml-4.0-stable-20040215-dist/libexec/fmlserv.pl fml-4.0-stable-20040215/libexec/fmlserv.pl
--- fml-4.0-stable-20040215-dist/libexec/fmlserv.pl	2004-02-15 21:39:06.000000000 +0900
+++ fml-4.0-stable-20040215/libexec/fmlserv.pl	2016-04-03 19:48:10.993397000 +0900
@@ -738,12 +738,12 @@
 	    &Log($@) if $@;
 	    $NameSpaceS{$key} = 1;
 	}
-	if (defined @entry) { 
+	if (@entry) { 
 	    eval "\@org'$key = \@main'$key;";
 	    &Log($@) if $@;
 	    $NameSpaceA{$key} = 1;
 	}
-	if ($key ne "_$package" && defined %entry) { 
+	if ($key ne "_$package" && %entry) { 
 	    eval "\%org'$key = \%main'$key;";
 	    &Log($@) if $@;
 	    $NameSpaceAA{$key} = 1;
@@ -772,8 +772,8 @@
 	local(*entry) = $val;
 		
 	if (defined $entry) { print OUT "$key\t$entry\n";}
-	if (defined @entry) { print OUT "$key\t@entry\n";}
-	if ($key ne "_$package" && defined %entry) { 
+	if (@entry) { print OUT "$key\t@entry\n";}
+	if ($key ne "_$package" && %entry) { 
 	    print OUT "$key\t",join(" ", %entry),"\n";
 	}
     }
@@ -976,13 +976,13 @@
 	    $ML_NameSpaceS{$key} = 1;
 	}
 
-	if (defined @key) { 
+	if (@key) { 
 	    eval "\@main'$key = \@ml'$key;";
 	    &main'Log($@) if $@; #';
 	    $ML_NameSpaceA{$key} = 1;
 	}
 
-	if ($key ne "_$package" && defined %key) { 
+	if ($key ne "_$package" && %key) { 
 	    eval "\%main'$key = \%ml'$key;";
 	    &main'Log($@) if $@; #';
 	    $ML_NameSpaceAA{$key} = 1;
diff -ur fml-4.0-stable-20040215-dist/makefml fml-4.0-stable-20040215/makefml
--- fml-4.0-stable-20040215-dist/makefml	2003-01-26 20:18:01.000000000 +0900
+++ fml-4.0-stable-20040215/makefml	2016-04-03 19:45:08.581709000 +0900
@@ -12,8 +12,8 @@
 # $FML: makefml,v 2.210.2.14 2003/01/25 05:58:25 fukachan Exp $
 #
 
-### AUTOMATICALLY REPLACED by makefml (Sun, 9 Mar 97 19:57:48 )
-$CONFIG_DIR = ''; # __MAKEFML_AUTO_REPLACED_HERE__
+### AUTOMATICALLY REPLACED by makefml (Sat, 2 Apr 2016 15:18:27 )
+$CONFIG_DIR = '/usr/local/fml/.fml'; # __MAKEFML_AUTO_REPLACED_HERE__
 
 &InitTTY;
 &InitMakeFml;
@@ -136,8 +136,11 @@
     if ($ENV{'MAKEFML'}) {
 	unshift(@ARGV, split(/\s+/, $ENV{'MAKEFML'}));
     }
-    require 'getopts.pl';
-    &Getopts("adhf:A:O:p:D:vwV:mi:u:UFE:W:c:");
+# 2016/04/02 yamane Ref: http://www.unknown24.net/bbrk/20141229/fml
+##  require 'getopts.pl';
+##  &Getopts("adhf:A:O:p:D:vwV:mi:u:UFE:W:c:");
+    use Getopt::Std;
+    getopts('dhf:A:O:p:D:vwV:mi:u:UF');
 
     # toggle flags
     # $CGIInstallMode = ($opt_W =~ /cgi/i) ? 1 : 0;
@@ -6355,7 +6358,9 @@
 		$buf .= "\$$key = '$entry';\n";
 	    }
 
-	    if (defined @entry) {
+# 2016/04/02 yamane Ref: http://www.unknown24.net/bbrk/20141229/fml
+##          if (defined @entry) {
+	    if (@entry) {
 		$buf .= "\@$key = (\n";
 		foreach $num ($[ .. $#entry) {
 		    $buf .= "\t'$entry[$num]',\n";
@@ -6364,12 +6369,15 @@
 	    }
 
 	    if ((($] !~ /5\.\d\d\d/) && 
-		 $key ne "_$package" && $key ne "_DB" && defined %entry
+# 2016/04/02 yamane Ref: http://www.unknown24.net/bbrk/20141229/fml
+##               $key ne "_$package" && $key ne "_DB" && defined %entry
+		 $key ne "_$package" && $key ne "_DB" && %entry
 		 )
 		||
 		(($] =~ /5\.\d\d\d/) && 
 		 $key ne "$package::" && $key ne "DB::" && 
-		 (defined %entry) && 
+##		 (defined %entry) && 
+		 (%entry) && 
 		 ($dumpPackages || $key !~ /::$/)
 		 && ($key !~ /^_</ || $dumpDBFiles)
 		 && !($package eq "dumpvar" && $key eq "stab")
diff -ur fml-4.0-stable-20040215-dist/sbin/makefml fml-4.0-stable-20040215/sbin/makefml
--- fml-4.0-stable-20040215-dist/sbin/makefml	2003-01-26 20:18:01.000000000 +0900
+++ fml-4.0-stable-20040215/sbin/makefml	2016-04-03 19:45:08.581709000 +0900
@@ -12,8 +12,8 @@
 # $FML: makefml,v 2.210.2.14 2003/01/25 05:58:25 fukachan Exp $
 #
 
-### AUTOMATICALLY REPLACED by makefml (Sun, 9 Mar 97 19:57:48 )
-$CONFIG_DIR = ''; # __MAKEFML_AUTO_REPLACED_HERE__
+### AUTOMATICALLY REPLACED by makefml (Sat, 2 Apr 2016 15:18:27 )
+$CONFIG_DIR = '/usr/local/fml/.fml'; # __MAKEFML_AUTO_REPLACED_HERE__
 
 &InitTTY;
 &InitMakeFml;
@@ -136,8 +136,11 @@
     if ($ENV{'MAKEFML'}) {
 	unshift(@ARGV, split(/\s+/, $ENV{'MAKEFML'}));
     }
-    require 'getopts.pl';
-    &Getopts("adhf:A:O:p:D:vwV:mi:u:UFE:W:c:");
+# 2016/04/02 yamane Ref: http://www.unknown24.net/bbrk/20141229/fml
+##  require 'getopts.pl';
+##  &Getopts("adhf:A:O:p:D:vwV:mi:u:UFE:W:c:");
+    use Getopt::Std;
+    getopts('dhf:A:O:p:D:vwV:mi:u:UF');
 
     # toggle flags
     # $CGIInstallMode = ($opt_W =~ /cgi/i) ? 1 : 0;
@@ -6355,7 +6358,9 @@
 		$buf .= "\$$key = '$entry';\n";
 	    }
 
-	    if (defined @entry) {
+# 2016/04/02 yamane Ref: http://www.unknown24.net/bbrk/20141229/fml
+##          if (defined @entry) {
+	    if (@entry) {
 		$buf .= "\@$key = (\n";
 		foreach $num ($[ .. $#entry) {
 		    $buf .= "\t'$entry[$num]',\n";
@@ -6364,12 +6369,15 @@
 	    }
 
 	    if ((($] !~ /5\.\d\d\d/) && 
-		 $key ne "_$package" && $key ne "_DB" && defined %entry
+# 2016/04/02 yamane Ref: http://www.unknown24.net/bbrk/20141229/fml
+##               $key ne "_$package" && $key ne "_DB" && defined %entry
+		 $key ne "_$package" && $key ne "_DB" && %entry
 		 )
 		||
 		(($] =~ /5\.\d\d\d/) && 
 		 $key ne "$package::" && $key ne "DB::" && 
-		 (defined %entry) && 
+##		 (defined %entry) && 
+		 (%entry) && 
 		 ($dumpPackages || $key !~ /::$/)
 		 && ($key !~ /^_</ || $dumpDBFiles)
 		 && !($package eq "dumpvar" && $key eq "stab")
diff -ur fml-4.0-stable-20040215-dist/src/fml.pl fml-4.0-stable-20040215/src/fml.pl
--- fml-4.0-stable-20040215-dist/src/fml.pl	2004-02-15 21:39:06.000000000 +0900
+++ fml-4.0-stable-20040215/src/fml.pl	2016-04-03 19:45:08.582778000 +0900
@@ -690,7 +690,8 @@
 
     ### Header Fields Extraction
     $s = $Envelope{'Header'}."\n";
-    $* = 0;			# match one line
+# 2016/04/02 yamane deprecated
+#   $* = 0;			# match one line
     if ($s =~ /^From\s+(\S+)/i) {
 	# XXX NO REACH HERE (1999/10/27 by fukachan)
 	# $Envelope{'UnixFrom'} = $UnixFrom = $1;
diff -ur fml-4.0-stable-20040215-dist/src/jcode.pl fml-4.0-stable-20040215/src/jcode.pl
--- fml-4.0-stable-20040215-dist/src/jcode.pl	2000-01-05 13:57:47.000000000 +0900
+++ fml-4.0-stable-20040215/src/jcode.pl	2016-04-03 19:45:08.583168000 +0900
@@ -676,7 +676,9 @@
 
 sub z2h_euc {
     local(*s, $n) = @_;
-    &init_z2h_euc unless defined %z2h_euc;
+##  2016/04/02 yamane 
+##  &init_z2h_euc unless defined %z2h_euc;
+    &init_z2h_euc if (! %z2h_euc);
     $s =~ s/($re_euc_c|$re_euc_kana)/
 	$z2h_euc{$1} ? ($n++, $z2h_euc{$1}) : $1
     /geo;
@@ -685,7 +687,9 @@
 
 sub z2h_sjis {
     local(*s, $n) = @_;
-    &init_z2h_sjis unless defined %z2h_sjis;
+##  2016/04/02 yamane 
+##  &init_z2h_sjis unless defined %z2h_sjis;
+    &init_z2h_sjis if (! %z2h_sjis);
     $s =~ s/($re_sjis_c)/$z2h_sjis{$1} ? ($n++, $z2h_sjis{$1}) : $1/geo;
     $n;
 }
diff -ur fml-4.0-stable-20040215-dist/src/libconfirm.pl fml-4.0-stable-20040215/src/libconfirm.pl
--- fml-4.0-stable-20040215-dist/src/libconfirm.pl	2003-12-17 23:47:19.000000000 +0900
+++ fml-4.0-stable-20040215/src/libconfirm.pl	2016-04-03 19:45:08.583589000 +0900
@@ -634,8 +634,9 @@
 
     &Log("BufferSyntax::{$buffer}\n") if $debug_confirm;
 
-    $ml = $*;
-    $*  = 1;
+# 2016/04/02 yamane deprecated
+#   $ml = $*;
+#   $*  = 1;
 
     if ($buffer =~ /$CONFIRMATION_SUBSCRIBE\s+(\S+.*)/) { # require anything;
 	$name = $1;
@@ -666,7 +667,9 @@
 	$name = $NULL;
     }
 
-    if (! $name) { $* =$ml; return $NULL;}
+# 2016/04/02 yamane deprecated
+#   if (! $name) { $* =$ml; return $NULL;}
+    if (! $name) { return $NULL;}
 
     if ($buffer =~ /\@/) {
 	&Mesg(*e, &GenConfirmReplyText(*e, *cf, 'BufferSyntax::InvalidAddr'));
@@ -679,7 +682,8 @@
 	; # do nothing
     }
 
-    $* =$ml;
+# 2016/04/02 yamane deprecated
+#   $* =$ml;
     $name;
 }
 
diff -ur fml-4.0-stable-20040215-dist/src/libenvf.pl fml-4.0-stable-20040215/src/libenvf.pl
--- fml-4.0-stable-20040215-dist/src/libenvf.pl	2003-12-17 23:46:54.000000000 +0900
+++ fml-4.0-stable-20040215/src/libenvf.pl	2016-04-03 19:45:08.583926000 +0900
@@ -31,8 +31,9 @@
     $bodylen = length($e{'Body'}); # body length
 
     # force plural line match
-    $org_mlp = $*;
-    $* = 0;
+# 2016/04/02 yamane deprecated
+#   $org_mlp = $*;
+#   $* = 0;
 
     ### 1. run-hooks
     # compatible 
@@ -268,7 +269,8 @@
 	}
     }
 
-    $* = $org_mlp;
+# 2016/04/02 yamane deprecated
+#   $* = $org_mlp;
 }
 
 # return 0 if reject;
diff -ur fml-4.0-stable-20040215-dist/src/libkern.pl fml-4.0-stable-20040215/src/libkern.pl
--- fml-4.0-stable-20040215-dist/src/libkern.pl	2004-02-15 21:37:14.000000000 +0900
+++ fml-4.0-stable-20040215/src/libkern.pl	2016-04-03 19:45:08.584844000 +0900
@@ -629,7 +629,8 @@
 
     ### Header Fields Extraction
     $s = $Envelope{'Header'}."\n";
-    $* = 0;			# match one line
+# 2016/04/02 yamane deprecated
+#   $* = 0;			# match one line
     if ($s =~ /^From\s+(\S+)/i) {
 	# XXX NO REACH HERE (1999/10/27 by fukachan)
 	# $Envelope{'UnixFrom'} = $UnixFrom = $1;
